summaryrefslogtreecommitdiff
path: root/dev-perl/Lingua-Stem-Snowball-Da
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-perl/Lingua-Stem-Snowball-Da
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-perl/Lingua-Stem-Snowball-Da')
-rw-r--r--dev-perl/Lingua-Stem-Snowball-Da/Lingua-Stem-Snowball-Da-1.10.0-r1.ebuild30
-rw-r--r--dev-perl/Lingua-Stem-Snowball-Da/Manifest1
-rw-r--r--dev-perl/Lingua-Stem-Snowball-Da/metadata.xml13
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-perl/Lingua-Stem-Snowball-Da/Lingua-Stem-Snowball-Da-1.10.0-r1.ebuild b/dev-perl/Lingua-Stem-Snowball-Da/Lingua-Stem-Snowball-Da-1.10.0-r1.ebuild
new file mode 100644
index 000000000000..dd9286178173
--- /dev/null
+++ b/dev-perl/Lingua-Stem-Snowball-Da/Lingua-Stem-Snowball-Da-1.10.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+MODULE_AUTHOR=CINE
+MODULE_VERSION=1.01
+inherit perl-module multilib
+
+DESCRIPTION="Porters stemming algorithm for Denmark"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ia64 ~ppc sparc x86"
+IUSE=""
+
+SRC_TEST="do"
+
+src_install() {
+ perl-module_src_install
+
+ if [[ -f ${D}/${VENDOR_LIB}/Lingua/Stem/Snowball/stemmer.pl ]] ; then
+ mv "${D}"/${VENDOR_LIB}/Lingua/Stem/Snowball/{,da-}stemmer.pl || die
+ fi
+}
+
+pkg_postinst() {
+ elog "The stemmer.pl that ships with this distribution has been renamed to"
+ elog "da-stemmer.pl to avoid collisions with other Lingua::Stem packages."
+}
diff --git a/dev-perl/Lingua-Stem-Snowball-Da/Manifest b/dev-perl/Lingua-Stem-Snowball-Da/Manifest
new file mode 100644
index 000000000000..ccee858eebb5
--- /dev/null
+++ b/dev-perl/Lingua-Stem-Snowball-Da/Manifest
@@ -0,0 +1 @@
+DIST Lingua-Stem-Snowball-Da-1.01.tar.gz 103930 BLAKE2B 9f4c5c167aed5f6b74930ec27bc06b647f9ac036750e85f89f7b20a96b8f5857e87a50c19060ba7ee6b4256acaba956568230b8c8888fcb5fec1d23736e84d03 SHA512 dc0d199640417e6c9f0e6bfaa175ae64e288a4879047d4e13060eaadad20fa9590421535a6097aebb3ca1dcc4f2c9ce5a08a6566a0f651c59d57dca169ada7fe
diff --git a/dev-perl/Lingua-Stem-Snowball-Da/metadata.xml b/dev-perl/Lingua-Stem-Snowball-Da/metadata.xml
new file mode 100644
index 000000000000..d68e77e5b951
--- /dev/null
+++ b/dev-perl/Lingua-Stem-Snowball-Da/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>perl@gentoo.org</email>
+ <name>Gentoo Perl Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpan">Lingua-Stem-Snowball-Da</remote-id>
+ <remote-id type="cpan-module">Lingua::Stem::Snowball::Da</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>